shishi_realm_default_set(3)

NAME
shishi_realm_default_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_realm_default_set(Shishi * handle, const char * realm);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

const char * realm
    String stating a new default realm name, or NULL.

DESCRIPTION
Sets the default realm used by the library; or, with realm set to NULL, resets the library realm setting to that name selected by configuration for default value.

The string is copied into the library, so you can dispose of the content in realm immediately after calling this function.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.